> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Template Test Summary > Returns the execution summary of a specified template test ## OpenAPI ````json GET /api/v1/Execution/projects/{projectId}/template-tests/{testId}/results/{batchKey} { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Execution/projects/{projectId}/template-tests/{testId}/results/{batchKey}": { "get": { "tags": [ "Execution" ], "summary": "Get Template Test Summary", "description": "Returns the execution summary of a specified template test", "parameters": [ { "name": "projectId", "in": "path", "description": "Project containing the template test", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "testId", "in": "path", "description": "Template test to retrieve", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "batchKey", "in": "path", "description": "Execution to retrieve", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestApiSummary" } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } }, "403": { "description": "Forbidden" } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.TemplateTestApiSummary": { "title": "TemplateTestApiSummary", "type": "object", "properties": { "name": { "type": "string", "description": "The template test's name", "nullable": true }, "dateStarted": { "type": "string", "description": "The template test's start date", "format": "date-time" }, "dateCompleted": { "type": "string", "description": "The template test's completion date", "format": "date-time", "nullable": true }, "status": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.BatchStatus" }, "batchType": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.BatchType" }, "tests": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "The template test's tests" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.BatchStatus": { "title": "BatchStatus", "enum": [ "Running", "Aborting", "Aborted", "Completed", "Abandoned" ], "type": "string" }, "Configuration.Api.Models.v1.BatchType": { "title": "BatchType", "enum": [ "Test", "Job", "TemplateTest" ], "type": "string" }, "Configuration.Api.Models.v1.Common.KeyValue": { "title": "KeyValue", "type": "object", "additionalProperties": false } } } } ````